spot-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Austin Leahy <Aus...@digitalminion.com>
Subject Re: [GitHub] [incubator-spot] dependabot[bot] opened a new pull request #154: Bump pyyaml from 3.12 to 5.1 in /spot-ingest
Date Fri, 01 Nov 2019 22:02:45 GMT
I will take a look but i am reasonably sure this is a github bot that only
runs if it finds  merge that won't break things

On Fri, Nov 1, 2019 at 2:51 PM Tadd Wood <tadd.wood@digitalminion.com>
wrote:

> Does anyone have any thoughts or know any obvious incompatibilities with
> respect to this library update that was auto-pushed by Github?
>
> If so please comment on the PR 154 so we can evaluate this one quickly and
> determine if further work is needed to get it merged in.
>
> Thank you,
> Tadd Wood
>
> > On Nov 1, 2019, at 5:19 AM, GitBox <git@apache.org> wrote:
> >
> > dependabot[bot] opened a new pull request #154: Bump pyyaml from 3.12 to
> 5.1 in /spot-ingest
> > URL: https://github.com/apache/incubator-spot/pull/154
> >
> >
> >   Bumps [pyyaml](https://github.com/yaml/pyyaml) from 3.12 to 5.1.
> >   <details>
> >   <summary>Changelog</summary>
> >
> >   *Sourced from [pyyaml's changelog](
> https://github.com/yaml/pyyaml/blob/master/CHANGES).*
> >
> >> 5.1 (2019-03-13)
> >> ----------------
> >>
> >> * [yaml/pyyaml#35](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/35) -- Some
> modernization of the test running
> >> * [yaml/pyyaml#42](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/42) -- Install
> tox in a virtualenv
> >> * [yaml/pyyaml#45](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/45) -- Allow
> colon in a plain scalar in a flow context
> >> * [yaml/pyyaml#48](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/48) -- Fix typos
> >> * [yaml/pyyaml#55](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/55) -- Improve
> RepresenterError creation
> >> * [yaml/pyyaml#59](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/59) -- Resolves
> [#57](https://github-redirect.dependabot.com/yaml/pyyaml/issues/57),
> update readme issues link
> >> * [yaml/pyyaml#60](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/60) -- Document
> and test Python 3.6 support
> >> * [yaml/pyyaml#61](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/61) -- Use Travis
> CI built in pip cache support
> >> * [yaml/pyyaml#62](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/62) -- Remove tox
> workaround for Travis CI
> >> * [yaml/pyyaml#63](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/63) -- Adding
> support to Unicode characters over codepoint 0xffff
> >> * [yaml/pyyaml#65](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/65) -- Support
> unicode literals over codepoint 0xffff
> >> * [yaml/pyyaml#75](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/75) -- add 3.12
> changelog
> >> * [yaml/pyyaml#76](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/76) -- Fallback
> to Pure Python if Compilation fails
> >> * [yaml/pyyaml#84](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/84) -- Drop
> unsupported Python 3.3
> >> * [yaml/pyyaml#102](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/102) -- Include
> license file in the generated wheel package
> >> * [yaml/pyyaml#105](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/105) -- Removed
> Python 2.6 & 3.3 support
> >> * [yaml/pyyaml#111](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/111) -- Remove
> commented out Psyco code
> >> * [yaml/pyyaml#129](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/129) -- Remove
> call to `ord` in lib3 emitter code
> >> * [yaml/pyyaml#143](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/143) -- Allow to
> turn off sorting keys in Dumper
> >> * [yaml/pyyaml#149](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/149) -- Test on
> Python 3.7-dev
> >> * [yaml/pyyaml#158](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/158) -- Support
> escaped slash in double quotes "\/"
> >> * [yaml/pyyaml#181](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/181) -- Import
> Hashable from collections.abc
> >> * [yaml/pyyaml#256](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/256) -- Make
> default_flow_style=False
> >> * [yaml/pyyaml#257](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/257) -- Deprecate
> yaml.load and add FullLoader and UnsafeLoader classes
> >> * [yaml/pyyaml#263](
> https://github-redirect.dependabot.com/yaml/pyyaml/pull/263) -- Windows
> Appveyor build
> >>
> >> 3.13 (2018-07-05)
> >> -----------------
> >>
> >> * Resolved issues around PyYAML working in Python 3.7.
> >   </details>
> >   <details>
> >   <summary>Commits</summary>
> >
> >   - [`e471e86`](
> https://github.com/yaml/pyyaml/commit/e471e86bf6dabdad45a1438c20a4a5c033eb9034)
> Updates for 5.1 release
> >   - [`9141e90`](
> https://github.com/yaml/pyyaml/commit/9141e900d10d280173335b20207e87d4a15e62c6)
> Windows Appveyor build
> >   - [`d6cbff6`](
> https://github.com/yaml/pyyaml/commit/d6cbff662084dd94bde5421ece495482d1b14454)
> Skip certain unicode tests when maxunicode not > 0xffff
> >   - [`69103ba`](
> https://github.com/yaml/pyyaml/commit/69103ba255dd807ecb576654e84bd5efba3bad6e)
> Update .travis.yml to use libyaml 0.2.2
> >   - [`91c9435`](
> https://github.com/yaml/pyyaml/commit/91c9435bb667dc318c845f5b3e8af36bb84c66eb)
> Squash/merge pull request [#105](
> https://github-redirect.dependabot.com/yaml/pyyaml/issues/105) from
> nnadeau/patch-1
> >   - [`507a464`](
> https://github.com/yaml/pyyaml/commit/507a464ce62c933bf667b2296a96ad45f0147873)
> Make default_flow_style=False
> >   - [`07c88c6`](
> https://github.com/yaml/pyyaml/commit/07c88c6c1bee51439a00bc07827980fbb161a1ad)
> Allow to turn off sorting keys in Dumper
> >   - [`611ba39`](
> https://github.com/yaml/pyyaml/commit/611ba395079026fda2ea67c4ad23eb6351c5aa18)
> Include license file in the generated wheel package
> >   - [`857dff1`](
> https://github.com/yaml/pyyaml/commit/857dff153d2c9f238d3a68821262b7764aeb44ea)
> Apply FullLoader/UnsafeLoader changes to lib3
> >   - [`0cedb2a`](
> https://github.com/yaml/pyyaml/commit/0cedb2a0697b2bc49e4f3841b8d4590b6b15657e)
> Deprecate/warn usage of yaml.load(input)
> >   - Additional commits viewable in [compare view](
> https://github.com/yaml/pyyaml/compare/3.12...5.1)
> >   </details>
> >   <br />
> >
> >   [![Dependabot compatibility score](
> https://dependabot-badges.githubapp.com/badges/compatibility_score?dependency-name=pyyaml&package-manager=pip&previous-version=3.12&new-version=5.1)](https://help.github.com/articles/configuring-automated-security-fixes
> )
> >
> >   Dependabot will resolve any conflicts with this PR as long as you
> don't alter it yourself. You can also trigger a rebase manually by
> commenting `@dependabot rebase`.
> >
> >   [//]: # (dependabot-automerge-start)
> >   [//]: # (dependabot-automerge-end)
> >
> >   ---
> >
> >   <details>
> >   <summary>Dependabot commands and options</summary>
> >   <br />
> >
> >   You can trigger Dependabot actions by commenting on this PR:
> >   - `@dependabot rebase` will rebase this PR
> >   - `@dependabot recreate` will recreate this PR, overwriting any edits
> that have been made to it
> >   - `@dependabot merge` will merge this PR after your CI passes on it
> >   - `@dependabot squash and merge` will squash and merge this PR after
> your CI passes on it
> >   - `@dependabot cancel merge` will cancel a previously requested merge
> and block automerging
> >   - `@dependabot reopen` will reopen this PR if it is closed
> >   - `@dependabot ignore this [patch|minor|major] version` will close
> this PR and stop Dependabot creating any more for this minor/major version
> (unless you reopen the PR or upgrade to it yourself)
> >   - `@dependabot ignore this dependency` will close this PR and stop
> Dependabot creating any more for this dependency (unless you reopen the PR
> or upgrade to it yourself)
> >   - `@dependabot use these labels` will set the current labels as the
> default for future PRs for this repo and language
> >   - `@dependabot use these reviewers` will set the current reviewers as
> the default for future PRs for this repo and language
> >   - `@dependabot use these assignees` will set the current assignees as
> the default for future PRs for this repo and language
> >   - `@dependabot use this milestone` will set the current milestone as
> the default for future PRs for this repo and language
> >
> >   You can disable automated security fix PRs for this repo from the
> [Security Alerts page](
> https://github.com/apache/incubator-spot/network/alerts).
> >
> >   </details>
> >
> > ----------------------------------------------------------------
> > This is an automated message from the Apache Git Service.
> > To respond to the message, please log on to GitHub and use the
> > URL above to go to the specific comment.
> >
> > For queries about this service, please contact Infrastructure at:
> > users@infra.apache.org
> >
> >
> > With regards,
> > Apache Git Services
>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message